Bug 213462 - Retry_count in minidump code delaying ENOSPC by around 30 minutes for live cores.
Summary: Retry_count in minidump code delaying ENOSPC by around 30 minutes for live co...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 10.3-STABLE
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-10-13 21:01 UTC by rdarbha
Modified: 2017-01-14 06:07 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rdarbha 2016-10-13 21:01:36 UTC
I notice that when, the system runs out of space and we are trying to get a live core dump there is delay of around 30 minutes to return ENOSPC to the upper layers. This is on AMD64. As I go through the code , I see a change to the amd64 not present in other platforms in sys/amd64/amd64/minidump_machdep.c . Its the retry count set to 5 ( Not sure where that number comes from ). Because of this, the live core generation in our platform is delayed and the memory map keeps increasing( lots of other stuff running ) it makes things worse. I want to make this retry count a tunable so that it can be changed at runtime accordingly.
Comment 1 rdarbha 2016-10-14 22:17:59 UTC
Please check this review 

https://reviews.freebsd.org/D8254
Comment 2 rdarbha 2016-10-14 22:18:15 UTC
please review this 
https://reviews.freebsd.org/D8254
Comment 3 commit-hook freebsd_committer 2016-10-17 22:58:33 UTC
A commit references this bug:

Author: stevek
Date: Mon Oct 17 22:57:41 UTC 2016
New revision: 307540
URL: https://svnweb.freebsd.org/changeset/base/307540

Log:
  Add sysctl to make amd64 minidump retry count tunable at runtime.

  PR:		213462
  Submitted by:	RaviPrakash Darbha <rdarbha@juniper.net>
  Reviewed by:	cemi, markj
  Approved by:	sjg (mentor)
  Obtained from:	Juniper Networks
  Differential Revision:	https://reviews.freebsd.org/D8254

Changes:
  head/sys/amd64/amd64/minidump_machdep.c